Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
eee-control (EeePC management tool)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
danky
Tux's lil' helper
Tux's lil' helper


Joined: 18 Sep 2006
Posts: 115

PostPosted: Fri Mar 27, 2009 7:32 pm    Post subject: Reply with quote

Does this app work with the Asus N-10 series?

Here is the netbook - it is basically a beefed up eee

http://usa.asus.com/products.aspx?l1=5&l2=64&l3=833&l4=0&model=2515&modelmenu=1
Back to top
View user's profile Send private message
Nuteater
Apprentice
Apprentice


Joined: 25 Sep 2003
Posts: 193
Location: Jyväskylä, Finland

PostPosted: Sat Mar 28, 2009 11:05 am    Post subject: Reply with quote

Hey,

I have some issues getting the performance adjustments to work with vanilla 2.6.29
using eee-control-0.8.3 or 0.8.4 on my 901.
Eee-control-tray reports "Performance: not available" even when using the reference kernel config.
Everything else seems to work though, including the much-awaited Bluetooth-toggling,
and eee-control-daemon doesn't report any error messages or anything informative about
why performance controls are not available.

By the way, does anyone have any definitive knowledge on which actually are the required
kernel options for the FSB adjustments? I had real trouble getting the adjustments to work
in the first place with previous kernel versions -- I tried to look at the diff between my config
and the reference config, but I couldn't find anything that I'd think is related to the issue. In
the end I just started making small adjustments to the reference config, recompiling the
kernel and checking whether the FSB adjustments still work :roll:.

Btw, there is also something fishy in the init script:
Code:
eee-control     |* Starting eee-control daemon...
eee-control     |* start-stop-daemon: /usr/bin/eee-control-daemon died     [ !! ]
eee-control     |* ERROR: eee-control failed to start

However eee-control-daemon is started and seems to work normally.

Thanks in advance for your wisdom in this :)
_________________
I am Nuteater, hear me roar.
Back to top
View user's profile Send private message
mr-simon
Guru
Guru


Joined: 22 Nov 2002
Posts: 364
Location: Leamington Spa, Warks, UK

PostPosted: Sun Apr 12, 2009 11:57 pm    Post subject: Reply with quote

Nuteater wrote:
Hey,

I have some issues getting the performance adjustments to work with vanilla 2.6.29
using eee-control-0.8.3 or 0.8.4 on my 901.
Eee-control-tray reports "Performance: not available" even when using the reference kernel config.


I also have this problem with my 901. I've tried a number of things, mostly revoling around ACPI and I2C kernel parameters. (I built my own kernel, using the latest gentoo-sources (2.6.29-r1)

Nuteater wrote:
Btw, there is also something fishy in the init script:
Code:
eee-control     |* Starting eee-control daemon...
eee-control     |* start-stop-daemon: /usr/bin/eee-control-daemon died     [ !! ]
eee-control     |* ERROR: eee-control failed to start

However eee-control-daemon is started and seems to work normally.

Thanks in advance for your wisdom in this :)


I don't get this. It doesn't report any errors to either the console, or /var/log/everything/current -- I don't know what I've done differently. I know eee-control is running, because eee-control-tray wails if I kill it manually.

Has anyone got this to work? Right now I'm manually setting my speed using E17's cpufreq monitor.
_________________
"Pokey, are you drunk on love?"
"Yes. Also whiskey. But mostly love... and whiskey."
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Tue Apr 14, 2009 12:59 pm    Post subject: Reply with quote

Quote:
I also have this problem with my 901. I've tried a number of things, mostly revoling around ACPI and I2C kernel parameters. (I built my own kernel, using the latest gentoo-sources (2.6.29-r1)


fsb control didn´t work for me, not that i really had much time to test, but anything else worked just fine IIRC.
My eeepc is on it´s way back to my supplier ( second ssd was broken), latest kernel i tested was 2.6.29-rc7 (or sth like that).

Quote:
eee-control |* Starting eee-control daemon...
eee-control |* start-stop-daemon: /usr/bin/eee-control-daemon died [ !! ]
eee-control |* ERROR: eee-control failed to start


try with manually starting the daemon as suggested by lxg ( if you havent´already), maybe that can tell you where the problem could be.

cheers
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
oRDeX
Veteran
Veteran


Joined: 19 Oct 2003
Posts: 1308
Location: world

PostPosted: Tue Apr 14, 2009 2:31 pm    Post subject: Reply with quote

in the 0.8.4.ebuild "sys-apps" is missing in i2c-tools atom in RDEPENS!
Back to top
View user's profile Send private message
Nuteater
Apprentice
Apprentice


Joined: 25 Sep 2003
Posts: 193
Location: Jyväskylä, Finland

PostPosted: Tue Apr 14, 2009 3:51 pm    Post subject: Reply with quote

gringo wrote:
try with manually starting the daemon as suggested by lxg ( if you havent´already), maybe that can tell you where the problem could be.


Starting the daemon in debug mode doesn´t report anything suspicious:
Code:
rfkill: testing /sys/class/rfkill/rfkill0
rfkill: found wifi
rfkill: testing /sys/class/rfkill/rfkill1
rfkill: found bluetooth
brightness state is 26
connected to acpid


Also eee-control-daemon seems to return 0 normally after forking the daemon, so I dont´t know why the init system thinks something is wrong. Maybe the problem is that the daemon daemonizes in a way which the init system doesn´t notice (EeeControl.daemonize.become_daemon seems to just use os.fork() ).

Looking into this a bit further, the init script is missing the --pidfile argument in the start()-function. The start-stop-daemon -command seems to need this to track whether the forked daemon is working properly – if it can make a pidfile, start-stop-daemon considers everything to be ok. Adding the --pidfile argument makes the init script work for me just beautifully:

Code:
start() {
    ebegin "Starting eee-control daemon"
    start-stop-daemon --start -q --exec /usr/bin/eee-control-daemon --pidfile /var/run/eee-control-daemon.pid
    eend $?
}


Note to self: if something is not working, check for some simple causes before complaining in the forums :wink:.
_________________
I am Nuteater, hear me roar.
Back to top
View user's profile Send private message
Nuteater
Apprentice
Apprentice


Joined: 25 Sep 2003
Posts: 193
Location: Jyväskylä, Finland

PostPosted: Mon Apr 20, 2009 3:34 pm    Post subject: Reply with quote

Hey again. If you upgrade to the spanking new eee-control-0.9.0 and notice
that the FSB adjustments are broken (again!), do not fall into despair
like I did. The 0.9.0 version has a new method for adjusting the FSB via a
“custom kernel module” (I am yet to find out just where can I get this module).
This new method also seems to be the default, so apparently unless you have
this custom module, FSB adjustments will not work. Eee-control now has a
config file (which the ebuild does not install) to change this setting among others.

I got my FSB adjustments to work by copying data/eee-control.conf from the
eee-control tarball into /etc and changing fsb-method to
Code:
fsb-method: i2c-dev

which probably is the old method.

Does anyone have an idea what is the kernel module mentioned in the changelog?
I will now check whether 0.9.0 works better with kernel 2.6.29 and report back in
a jiffy.
Update: No change on 2.6.29 (still no FSB adjustments). Either there is
something wrong with my config or it just doesn´t work with 2.6.29. Maybe
it will work with this elusive custom kernel module.
_________________
I am Nuteater, hear me roar.
Back to top
View user's profile Send private message
Marrek
n00b
n00b


Joined: 24 Apr 2009
Posts: 5

PostPosted: Sat Apr 25, 2009 10:42 pm    Post subject: Reply with quote

Hi there!

I'm using the Eee PC 1000H as well and I'd like to try eee-control. But i recieve following output while running ebuild:

Code:
noname ~ # ebuild /usr/local/portage/sys-apps/eee-control/$EBUILD manifest
Error(s) in metadata for 'sys-apps/eee-control-0.9.0':
  RDEPEND: gtk? ( dev-python/pygtk dev-python/gconf-python ) gnome? ( gnome-extra/gnome-power-manager ) xosd? ( x11-libs/xosd ) dev-python/pyalsaaudio dev-python/notify-python dev-python/dbus-python >=i2c-tools-3.0.2[python] kde? ( x11-themes/gtk-engines-qt )
    invalid atom: '>=i2c-tools-3.0.2[python]'


Well, that doesn't ring many bells for me, as I'm quite new to Gentoo and portage...
I guess it tries to tell me, that i2c-tools is needed in v3.0.2 or above. Am I right? And if yes, is that all the message complains about or is it even more?

Anyways, i2c-tools doesn't seem to be available in a higher version than 3.0.0 via portage... ...despite of that I'm clueless about the problem.

Hope this output is at least a bit interesting to you and more importantly, that you can help me ;)


Marrek
Back to top
View user's profile Send private message
sparkplug
n00b
n00b


Joined: 23 Apr 2009
Posts: 13

PostPosted: Mon Apr 27, 2009 10:46 pm    Post subject: Reply with quote

I received the same error as Marrek.
1000HA here. The difference is I already had eee-control installed and I'm trying for a reinstall (trying to fix that pesky "Not seeing the i2c" issue.) I unmerged eee-control 0.8.3 and rm the distfiles and leftovers in /usr.


UPDATE:
I think I fixed it. I opened up the ebuild and changed the line that was tossing the error to
Code:
>=sys-apps/i2c-tools-3.0.2[python]
Back to top
View user's profile Send private message
Nuteater
Apprentice
Apprentice


Joined: 25 Sep 2003
Posts: 193
Location: Jyväskylä, Finland

PostPosted: Tue Apr 28, 2009 5:42 am    Post subject: Reply with quote

@Marrek & sparkplug:
oRDeX posted a fix (kind of) for that problem already on 2009-04-14. Pay attention now! :)

@lxg:
It seems there are some bugs accumulating on the ebuild. Do you take patches? :wink:

As eee-control seems to be moving quite fast now, and as the changelog includes stuff like “I accidentally all other FSB adjustment methods...” (:D) a live git ebuild might be useful. I’ll try doing that unless someone beats me to it. I guess I’ll also try the custom SHE driver, which seems to be a custom version of eeepc-laptop kernel module included with eee-control. Has anyone tried that yet?
_________________
I am Nuteater, hear me roar.
Back to top
View user's profile Send private message
Marrek
n00b
n00b


Joined: 24 Apr 2009
Posts: 5

PostPosted: Tue Apr 28, 2009 9:13 pm    Post subject: Reply with quote

Hi.

I finally got the ebuild installed, according to the guide. But I still can't use it.

I run a KDE desktop and my use variable contains "-gnome".. just in case it is usefull to you.

"/etc/init.d/eee-control start" runs without hesitation.
Starting the tray resulted this way:

Code:
noname ~ # eee-control-tray
Traceback (most recent call last):
  File "/usr/bin/eee-control-tray", line 20, in <module>
    import EeeControl.tray
  File "usr/lib/python2.5/site-packages/EeeControl/tray.py", line 25, in <modul>
ImportError: No module named gconf


google told me to emerge gconf-python
I did so, even though i have gtk-engines-qt installed. Still hat changed something.

Code:
noname ~ # eee-control-tray
Traceback (most recent call last):
  File "/usr/bin/eee-control-tray", line 21, in <module>
    EeeControl.tray.EeeControlTray()
  File "usr/lib/python2.5/site-packages/EeeControl/tray.py", line 61, in __init__
  File "usr/lib/python2.5/site-packages/EeeControl/tray.py", line 284, in register_notifications
AttributeError: 'pynotify.Notification' object has no attribute 'attach_to_status_icon'


What is left to do? Please help me.


Marrek
Back to top
View user's profile Send private message
sparkplug
n00b
n00b


Joined: 23 Apr 2009
Posts: 13

PostPosted: Tue Apr 28, 2009 10:01 pm    Post subject: Reply with quote

Nuteater wrote:
@Marrek & sparkplug:
oRDeX posted a fix (kind of) for that problem already on 2009-04-14. Pay attention now! :)

@lxg:
It seems there are some bugs accumulating on the ebuild. Do you take patches? :wink:

As eee-control seems to be moving quite fast now, and as the changelog includes stuff like “I accidentally all other FSB adjustment methods...” (:D) a live git ebuild might be useful. I’ll try doing that unless someone beats me to it. I guess I’ll also try the custom SHE driver, which seems to be a custom version of eeepc-laptop kernel module included with eee-control. Has anyone tried that yet?


Buzzkill.

I've got a good deal of it working, finally, but I hit a wall when it came to the SHE driver. The fact that I have no idea what I'm doing doesn't help. I talked to zgreg and he said it that normally the source tarball builds a custom eeepc-laptop module. I tried building it myself, but I think I've played around with the kernel too much and ran into an issue.

Code:

yggdrasil eeepc-laptop # make
make[1]: Entering directory `/home/ash/eee-control-0.9.0/eeepc-laptop'
cd /lib/modules/2.6.27-gentoo-r8/build && make -C /lib/modules/2.6.27-gentoo-r8/build M=/home/ash/eee-control-0.9.0/eeepc-laptop modules
make[2]: Entering directory `/usr/src/linux-2.6.27-gentoo-r8'
  CC [M]  /home/ash/eee-control-0.9.0/eeepc-laptop/eeepc-laptop.o
/home/ash/eee-control-0.9.0/eeepc-laptop/eeepc-laptop.c: In function 'read_acpi_int':
/home/ash/eee-control-0.9.0/eeepc-laptop/eeepc-laptop.c:252: warning: passing argument 4 of 'acpi_evaluate_integer' from incompatible pointer type
/home/ash/eee-control-0.9.0/eeepc-laptop/eeepc-laptop.c: In function 'eeepc_laptop_init':
/home/ash/eee-control-0.9.0/eeepc-laptop/eeepc-laptop.c:988: error: implicit declaration of function 'acpi_video_backlight_support'
make[3]: *** [/home/ash/eee-control-0.9.0/eeepc-laptop/eeepc-laptop.o] Error 1
make[2]: *** [_module_/home/ash/eee-control-0.9.0/eeepc-laptop] Error 2
make[2]: Leaving directory `/usr/src/linux-2.6.27-gentoo-r8'
make[1]: *** [generic] Error 2
make[1]: Leaving directory `/home/ash/eee-control-0.9.0/eeepc-laptop'
make: *** [eeepc-laptop.o] Error 2


I don't know what those errors were, but I still got a new .ko, which I swapped out with the old one and fired up the tray. Still nothing in the Performance field, so either I did something wrong, which is likely, or it doesn't work like that.
Back to top
View user's profile Send private message
Nuteater
Apprentice
Apprentice


Joined: 25 Sep 2003
Posts: 193
Location: Jyväskylä, Finland

PostPosted: Sat May 02, 2009 8:34 pm    Post subject: Reply with quote

Ok. Here is a live git ebuild for the adventurous.
Also includes some modifications:
  • The i2c-tools atom is now fixed.
  • The init script is fixed to include the --pidfile directive.
  • The patches and init script are now in files/ instead of being fetched.
  • Removed the dbus config patch as it is included upstream – except that the group is powerdev not plugdev.
  • The config file is patched to set default fsb method to something that works without the SHE driver.

The ebuild does not install the kernel module, as it seems to need some patching on its own to get working.
In the meantime fsb-method: i2c-dev seems to work.
_________________
I am Nuteater, hear me roar.
Back to top
View user's profile Send private message
Nuteater
Apprentice
Apprentice


Joined: 25 Sep 2003
Posts: 193
Location: Jyväskylä, Finland

PostPosted: Mon May 11, 2009 7:22 pm    Post subject: Reply with quote

Okay, we have progress.

I finally got the courage to try out the new SHE driver, which unlike what I expected seems to Just Work™
at least with vanilla 2.6.29.3. Actually it turns out that the new SHE driver is just the in-kernel eeepc-laptop
driver with sight modifications. This is what worked for me:

  • Install vanilla-sources-2.6.29.3 (other versions might work as well). Install recent (>=0.9.0) eee-control.
    I used the live git ebuild I posted earlier.
  • Configure the kernel. Make sure to say no to Device Drivers → X86 Platform Specific Device Drivers → Eee PC Hotkey Driver. The eeepc-laptop driver that comes with eee-control overrides this. Here is the kernel config I used.
  • Build, install and boot into the new kernel.
  • The eee-control installation installs the sources for the eeepc-laptop under /usr/src. You can build and
    install the driver simply by make && make install. The makefile checks the kernel version to build against
    with uname, so you need to be running the target kernel by now. The kernel module gets installed under
    /lib/modules/2.6.29.3/updates/dkms/eeepc-laptop.ko. Modprobe doesn’t seem to find the module from here,
    so you can symlink it to e.g. /lib/modules/2.6.29.3/kernel/drivers/platform/x86/, where it would get installed
    by the kernel install process.
  • Simply run depmod, install the module with modprobe eeepc-laptop, set fsb-method to ‘she’ in /etc/eee-control.conf
    and restart eee-control. Now you should have the usual options under Performance in eee-control-tray.

So far everything I have tested seems to work nicely with 2.6.29.3, including the much-awaited bluetooth toggling.
Next I’ll try making an ebuild that installs the modified eeepc-laptop driver.
_________________
I am Nuteater, hear me roar.
Back to top
View user's profile Send private message
Kollin
Veteran
Veteran


Joined: 25 Feb 2006
Posts: 1137
Location: Sofia/Bulgaria

PostPosted: Sun May 24, 2009 3:59 pm    Post subject: Reply with quote

It works, thank you :D
_________________
"Dear Enemy: may the Lord hate you and all your kind, may you be turned orange in hue, and may your head fall off at an awkward moment."
"Linux is like a wigwam - no windows, no gates, apache inside..."
Back to top
View user's profile Send private message
polovinamozga
n00b
n00b


Joined: 11 Sep 2008
Posts: 13

PostPosted: Mon Jun 01, 2009 8:54 pm    Post subject: Reply with quote

please post your
/etc/init.d/hotkeys-setup
Back to top
View user's profile Send private message
Nuteater
Apprentice
Apprentice


Joined: 25 Sep 2003
Posts: 193
Location: Jyväskylä, Finland

PostPosted: Tue Jun 02, 2009 4:56 am    Post subject: Reply with quote

polovinamozga wrote:
please post your
/etc/init.d/hotkeys-setup

I have no such file. Eee-control takes care of hotkeys on its own.

Update: By the way, it seems that greg’s (the author of eee-control) changes
to the eeepc-laptop driver have been merged to kernel mainline in 2.6.30-rc7. Yay! :)
_________________
I am Nuteater, hear me roar.
Back to top
View user's profile Send private message
chrishant
n00b
n00b


Joined: 22 Jun 2009
Posts: 2
Location: UK

PostPosted: Tue Jun 23, 2009 1:09 am    Post subject: eee-control (EeePC management tool) Reply with quote

Quote:

Please share your experience with us! Please answer the following questions:
- What model of an EeePC are you running?
- What's your desktop environment?
- Did the ebuild install cleanly? Are there dependencies missing?
- Does eee-control work perfectly for you? If not, what problems did you encounter?


- 701 4G ( Now going into its third year of service )
- Fluxbox ( Everything a desktop should be )
- Almost ( Had to change the ebuild file because i2c-tools was a bad atom )
- Yes ( ... )

Overalll, Excellent work. This app has saved me buckets of time.

Thankyou.
Back to top
View user's profile Send private message
ocbMaurice
Tux's lil' helper
Tux's lil' helper


Joined: 14 Feb 2003
Posts: 82
Location: Switzerland

PostPosted: Wed Jun 24, 2009 1:39 am    Post subject: Reply with quote

Hi,

Just wanted to share this patch for an eee-control-0.9.3.ebuild.
You should already have setup a portage overlay dir (ie. /opt/portage).

/tmp/eee-control-0.9.0-to-0.9.3.patch:
--- eee-control-0.9.0.ebuild    2009-04-19 12:32:05.000000000 +0200
+++ eee-control-0.9.3.ebuild    2009-06-24 05:25:43.000000000 +0200
@@ -7,9 +7,9 @@
 DESCRIPTION="Tools to manage Hotkeys, WLAN, Bluetooth and other features of an Asus EeePC."
 HOMEPAGE="http://greg.geekmind.org/eee-control/"
 SRC_URI="http://greg.geekmind.org/eee-control/src/${P}.tar.gz
-       http://www.zirona.com/misc/code/eee-control/${P}-gentooinit
-       http://www.zirona.com/misc/code/eee-control/${P}-dbus-plugdev.patch
-       http://www.zirona.com/misc/code/eee-control/${P}-actions.py.patch"
+       http://www.zirona.com/misc/code/eee-control/eee-control-0.9.0-gentooinit
+       http://www.zirona.com/misc/code/eee-control/eee-control-0.9.0-dbus-plugdev.patch
+       http://www.zirona.com/misc/code/eee-control/eee-control-0.9.0-actions.py.patch"

 LICENSE="MIT"
 SLOT="0"
@@ -23,7 +23,7 @@
        dev-python/pyalsaaudio
        dev-python/notify-python
        dev-python/dbus-python
-       >=i2c-tools-3.0.2[python]
+       >=sys-apps/i2c-tools-3.0.2[python]
        kde? ( x11-themes/gtk-engines-qt )"

 src_unpack() {
@@ -37,10 +37,13 @@

 src_install() {
        cd "${S}"
-       epatch ${DISTDIR}/${P}-dbus-plugdev.patch || die "Patching DBus config failed."
-       epatch ${DISTDIR}/${P}-actions.py.patch || die "Patching actions.py failed."
+       epatch ${DISTDIR}/eee-control-0.9.0-dbus-plugdev.patch || die "Patching DBus config failed."
+       epatch ${DISTDIR}/eee-control-0.9.0-actions.py.patch || die "Patching actions.py failed."
+       cd "locale" || die "Could not change to locale dir"
+       sh update.sh || die "Could not update locales"
+       cd ".." || die "Could not go back to base dir"
        python setup.py install --root ${D}  || die "The base installation routine failed!"
-       newinitd  ${DISTDIR}/${P}-gentooinit eee-control || die "Inserting init script failed."
+       newinitd  ${DISTDIR}/eee-control-0.9.0-gentooinit eee-control || die "Inserting init script failed."
        dodoc doc/README || die "Installing documentation failed."
 }


Console:
mkdir -p /opt/portage/app-misc/eee-control/
cd /opt/portage/app-misc/eee-control/
# download the old (with broken atom) ebuild
wget "http://www.zirona.com/misc/code/eee-control/eee-control-0.9.0.ebuild"
# create new ebuild file
cp eee-control-0.9.0.ebuild eee-control-0.9.3.ebuild
# apply patch to it
patch -l -i /tmp/eee-control-0.9.0-to-0.9.3.patch eee-control-0.9.3.ebuild
# create Manifest file (will download the source and 0.9.0 patches)
ebuild eee-control-0.9.3.ebuild digest
# now you should be set to build
emerge -a eee-control


Hope this is usefull.
Maurice
Back to top
View user's profile Send private message
himpierre
l33t
l33t


Joined: 31 Aug 2002
Posts: 863
Location: Berlin

PostPosted: Sun Jun 28, 2009 9:52 am    Post subject: Reply with quote

Thanks for the patch although i think it would have been better to just post a complete 0.9.3 ebuild. But well.

Beside of that it's working good. Except i still can't use the perfomance settings in eee-control-tray. Only item there is "none". Uh and why don't the fsck fan starts at 50°? Can i adjust this somewhere? Normaly my Eee runs at 51-53°. I would really appreciate if the fan would start a little bit after reaching this point.

cheers
t
Back to top
View user's profile Send private message
kwispy
Tux's lil' helper
Tux's lil' helper


Joined: 10 Mar 2003
Posts: 81

PostPosted: Wed Jul 15, 2009 4:40 am    Post subject: Reply with quote

>>> Emerging (1 of 1) sys-apps/eee-control-9999 from unknown repo
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
>>> Unpacking source...
* GIT NEW clone -->
* repository: http://greg.geekmind.org/git/eee-control.git
Initialized empty Git repository in /usr/portage/distfiles/git-src/eee-control/
fatal: http://greg.geekmind.org/git/eee-control.git/info/refs not found: did you run git update-server-info on the server?
*
* ERROR: sys-apps/eee-control-9999 failed.
* Call stack:
* ebuild.sh, line 49: Called src_unpack
* environment, line 2682: Called git_src_unpack
* environment, line 1908: Called git_fetch
* environment, line 1849: Called die
* The specific snippet of code:
* ${EGIT_FETCH_CMD} ${EGIT_OPTIONS} "${EGIT_REPO_URI}" ${EGIT_PROJECT} || die "${EGIT}: can't fetch from ${EGIT_REPO_URI}.";
* The die message:
* git.eclass: can't fetch from http://greg.geekmind.org/git/eee-control.git.
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/log/portage/sys-apps:eee-control-9999:20090715-052907.log'.
* The ebuild environment file is located at '/var/tmp/portage/sys-apps/eee-control-9999/temp/environment'.
* This ebuild is from an overlay: '/usr/local/portage/'
*

>>> Failed to emerge sys-apps/eee-control-9999, Log file:

>>> '/var/log/portage/sys-apps:eee-control-9999:20090715-052907.log


What exactly are we git'ing from greg's server?
Back to top
View user's profile Send private message
Nuteater
Apprentice
Apprentice


Joined: 25 Sep 2003
Posts: 193
Location: Jyväskylä, Finland

PostPosted: Wed Jul 15, 2009 5:31 am    Post subject: Reply with quote

@kwispy:

It seems greg has suddenly changed the URI of his git repo to git://greg.geekmind.org/eee-control.git.
The EGIT_REPO_URI in the ebuild needs to be updated. I've posted a new version of the git ebuild in
http://nuteater.kapsi.fi/stuff/eee-control-git-ebuild.tar.gz
_________________
I am Nuteater, hear me roar.
Back to top
View user's profile Send private message
t3k0
n00b
n00b


Joined: 27 Nov 2007
Posts: 39

PostPosted: Wed Jul 29, 2009 7:48 pm    Post subject: Reply with quote

I own an eeepc 1005HA. After trying to run eee-control I get following error-message:

Code:

You are not running a supported Eee PC model.


Is there a possibility to run the script anyway? The hardware should be more or less the same like in other eeepcs.
Back to top
View user's profile Send private message
trs998
n00b
n00b


Joined: 15 Sep 2002
Posts: 19
Location: Norfolk, UK

PostPosted: Fri Jul 31, 2009 10:47 am    Post subject: Reply with quote

Just installed eee-control 0.9.0 using the standard instructions and mine fell over launching eee-control-tray with:
ImportError: No module named gconf

I've just emerged gconf-python and then it worked perfectly...

So my question is this: Why does the ebuild not automatically pull in gconf-python? This looks like a bug to me, as it's not going to work without it... and I see from this thread the this has happened at least once before.
_________________
TL-60 2ghz x2 laptop, 2gb ram
Gentoo & WinXP (work!)

p3m 1ghz laptop, 640mb ram (mostly-retired)
Gentoo

Asus eeePC 901 - 4Gb/8Gb SSD
Gentoo
Back to top
View user's profile Send private message
npc
n00b
n00b


Joined: 22 Oct 2005
Posts: 32

PostPosted: Tue Aug 11, 2009 1:33 am    Post subject: Reply with quote

It seems there is a 0.9.4 version out already. Also, the -9999 ebuild pulls in a huge amount of gnome deps, while 0.9.3 ebuild pulls just a few deps, no gnome stuff. I think the git ebuild doesnt recognize my USE="-gnome" setup.

Anyways, 0.9.3 emerged and when i do /etc/init.d/eee-control start it says:

Code:

 * Starting eee-control daemon ...
Traceback (most recent call last):
  File "/usr/bin/eee-control-daemon", line 46, in <module>
    manu = open("/sys/class/dmi/id/sys_vendor").readline().strip()
IOError: [Errno 2] No such file or directory: '/sys/class/dmi/id/sys_ven  [ !! ]


Thanks guys, keep up the great work.

NPC
_________________
Tiburcio da Silva
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7  Next
Page 3 of 7

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum